using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AssemblerItemManagerTester : MonoBehaviour
{
	public CurrentLevelHandler currentLevel;
	public ResourceType newItemType;

	[ContextMenu("CreateObjectiveTester")]
	public void CreateObjectiveTester() {
		AssembleItemsManager.Instance.CreateObjective(currentLevel.locations, currentLevel.instructions);
	}

	[ContextMenu("GenerateNewItem")]
	public void GenerateNewItem() {
		AssembleItemsManager.Instance.GenerateNewItem(newItemType);
	}


	private void Update() {
		if (Input.GetKeyDown(KeyCode.A)) {
			GenerateNewItem();
		}
	}
}
